<?
require_once('include/global.php');
require_once('sadmin_conf.inc.php');


// check
	if (!$_POST['ssa_email'])
		msg('올바른 URL로 접근하여 주십시오');

// data
	$_ex = explode(',', $_POST['ssa_email']);

	$msg = '';
	for ($i=0; $i<sizeof($_ex); $i++)
	{
		$_ex[$i] = trim(strtolower($_ex[$i]));

		// 도메인입력시 @doamin.com 형식에서 골뱅이는 자동제거함.
		if (strpos($_ex[$i], '@') === 0)
			$_ex[$i] = substr($_ex[$i], 1, strlen($_ex[$i])-1);

		// 주소가 있고 메일주소나 도메인일때만 저장.
		if (strlen($_ex[$i]) > 0 && (isemail($_ex[$i]) || isdomain($_ex[$i])))
		{
			// 중복여부 체크
			$sql = "SELECT COUNT(*)  FROM " . $TB['SADMIN_SPAM_ADDR'] . " WHERE ssa_email='" . $_ex[$i] . "'";
			$sr_cnt = db_get_one($sql);
			if ($sr_cnt > 0)
			{
				if ($msg)
					$msg .= ', ';
				$msg .= stripslashes($_ex[$i]);
			} else
			{
				// 자신의 메일주소와 도메인은 등록할 수 없도록 함.
				if ($_ex[$i] == $AUTH['auth_m_email'])
				{
					msg("자신의 메일주소는 스팸주소로 등록할 수 없습니다.", 0);
				} else if ($_ex[$i] == $G_SYS['MAIL_DOMAIN'])
				{
					msg("자신이 속한 도메인은 스팸주소로 등록할 수 없습니다.");
				} else 
				{
					$_ex[$i] = to_db_str($_ex[$i], 255, false);
					$_POST['ssa_regdate'] = date('Y-m-d H:i:s');

					// 추가
					$sql = "
						INSERT INTO
							" . $TB['SADMIN_SPAM_ADDR'] . "
							(ssa_email, ssa_memo, ssa_regdate)
						VALUES
							('" . $_ex[$i] . "', '" . $_POST['ssa_memo'] . "', '" . $_POST['ssa_regdate'] . "')
						";
					db_query($sql);
				}	// if()
			}	// if()
		}	// if()
	}	// for()

// end
	if ($msg)
		msg("이미 추가된 메일주소나 도메인은 생략되었습니다.\\n\\n=> ".$msg, 0);
	#msg("추가되었습니다.", 0);
	if ($_GET['is_window_close'])
	{
		?>
			<script language="JavaScript">
			<!--
				window.close();
			//-->
			</script>
		<?
	} else
	{
		movepage('sadmin_spam_addr.php?' . get_qs());
	}	// if()


require_once('include/global_end.php');
?>